# Class StreamBasedTabixIndexCreator

java.lang.Object
htsjdk.tribble.index.tabix.AllRefsTabixIndexCreator
htsjdk.tribble.index.tabix.StreamBasedTabixIndexCreator

All Implemented Interfaces:
  `IndexCreator`

public class StreamBasedTabixIndexCreator extends AllRefsTabixIndexCreator
A `TabixIndexCreator` that can write to an output stream.

## Constructor Summary

Constructors
Constructor
Description
`StreamBasedTabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec, OutputStream out)`

## Method Summary

Modifier and Type
Method
Description
`Index`
`finalizeIndex(long finalFilePosition)`
Create the index, given the stream of features passed in to this point

### Methods inherited from class AllRefsTabixIndexCreator

`addFeature`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IndexCreator

`setIndexSequenceDictionary`

## Constructor Details

### StreamBasedTabixIndexCreator

public StreamBasedTabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec, OutputStream out)

## Method Details

### finalizeIndex

public Index finalizeIndex(long finalFilePosition)
Description copied from interface: `IndexCreator`
Create the index, given the stream of features passed in to this point

Specified by:
  `finalizeIndex` in interface `IndexCreator`
Overrides:
  `finalizeIndex` in class `AllRefsTabixIndexCreator`
Parameters:
  `finalFilePosition` - the final file position, for indexes that have to close out with the final position
Returns:
  an index object